Kerbal Space Program - Bug #362

Fullscreen Issue
03/12/2013 05:10 AM - Tpilot395

Status: Closed Start date: 03/12/2013
Severity: Unworthy % Done: 100%
Assignee: Tpilot395

Category: Controls and Ul

Target version:

Version: 0.191 Language: English (US)
Platform: 0OSX Mod Related: No
Expansion:

Description

Not game-breaking, but it appears to me that Mountain Lion fullscreen isn't very well done.

From what | know KSP has 2 windows. One for the sake of showing the Squad logo, and one for the actual game.

The problem is that this means that it switches out of Mountain Lion's fullscreen after displaying the logo. And getting it to fullscreen
mode stretches the graphics even though | had resolution set to my monitor's fullscreen size. | have to head down into settings and
hit "Apply" and "Cancel" to get things back to normal. No settings changed. But if | fullscreen the game after the part loading screen
disappears it resizes well.

Other than that | can play fine.

But I think a solution would be to condense both windows into 1 window if possible.

Note: Vexx32 has reported that this sounds rather similar to someone else on Windows who reported that the resolution would reset

to default value when he had the system hibernate (it was on a Win7 laptop) with KSP running; the resolution would be reset when
he booted it back up.

History

#1 - 04/05/2013 12:53 PM - TMA

- Status changed from New to Confirmed
- Assignee set to Tpilot395

- Target version set to 0.19.1

- % Done changed from 0 to 10

| can confirm this issue. | have the same experience on my Mac running Mac OS 10.7.5 (Mac OS X Lion). My definition of the problem is almost
exactly the same, but | wrote it down below anyway for clearification.

What happens Fullscreen mode on Mac OS 10.7 and 10.8 is inconsistent.

What happens/How to reproduce it

alle When | boot up the Kerbal Space Program the Squad logo appears while the application goes into Mac OS 10.7/10.8 ExposA® compatible
fullscreen mode (this can be manually activated by clicking on the icon with the arrows point away from each other in the right upper corner of the
window). The Squad logo is perfectly adjusted to the current screen-resolution of the current screen, since it is very sharp and not distorted by
stretching the image. This automatic resolution adjustment for this particular window also happens when the application isn't set to Mac OS X
compatible fullscreen (I believe this setting is stored in one of the files in ~/Users/nameofuser/Library/Saved Application State/unity.Squad.Kerbal
Space Program.savedState/).

alle When the Squad logo is replaced by the loading screen, the application exits Mac OS X compatible fullscreen mode automaticly and resizes the
windows to the resolution stated in the settings.cfg file (located in the root folder of Kerbal Space Program application).

all¢ The result of this is a window that is cut about 40 pixels off the bottom, since the upper part of the screen is taken up by 20 pixels of titiebar and
20 pixels of menubar.

all¢ To solve this cut-off you can press the green + button in the titlebar or re-entering fullscreen mode manually.

all¢ Returning back to the main menu from the settings menu will always result into an exit of fullscreen mode, doesn't matter if you change anything
or pressed accept, apply or cancel.

Version Affected version 0.19.1, but it is also true for version 0.18.4

#2 - 04/05/2013 12:55 PM - TMA
TMA wrote:

| can confirm this issue. | have the same experience on my Mac running Mac OS 10.7.5 (Mac OS X Lion). My definition of the problem is almost
exactly the same, but | wrote it down below anyway for clearification.

What happens Fullscreen mode on Mac OS 10.7 and 10.8 is inconsistent.

What happens/How to reproduce it

alle When | boot up the Kerbal Space Program the Squad logo appears while the application goes into Mac OS 10.7/10.8 ExposA®© compatible
fullscreen mode (this can be manually activated by clicking on the icon with the arrows point away from each other in the right upper corner of
the window). The Squad logo is perfectly adjusted to the current screen-resolution of the current screen, since it is very sharp and not distorted
by stretching the image. This automatic resolution adjustment for this particular window also happens when the application isn't set to Mac OS X
compatible fullscreen (I believe this setting is stored in one of the files in ~/Users/nameofuser/Library/Saved Application State/unity.Squad.Kerbal
Space Program.savedState/).

alle When the Squad logo is replaced by the loading screen, the application exits Mac OS X compatible fullscreen mode automaticly and resizes
the windows to the resolution stated in the settings.cfg file (located in the root folder of Kerbal Space Program application).

all¢ The result of this is a window that is cut about 40 pixels off the bottom, since the upper part of the screen is taken up by 20 pixels of titlebar
and 20 pixels of menubar.

all¢ To solve this cut-off you can press the green + button in the titlebar or re-entering fullscreen mode manually.

all¢ Returning back to the main menu from the settings menu will always result into an exit of fullscreen mode, doesn't matter if you change
anything or pressed accept, apply or cancel.

Version Affected All Mac version of Kerbal Space Program since version 0.18.4

#3 - 04/06/2013 03:07 AM - Ted
- Target version deleted (0.19.1)
- Version set to 0.19.1

- Platform Windows added

#4 - 04/06/2013 03:07 AM - Ted
- Platform OSX added
- Platform deleted (Windows)

#5 - 11/30/2014 01:30 PM - RexKramer

I'm not having this issue, using OSX 10.9.5. If anyone is still using 10.7 or 10.8, it would be helpful to see if this issue is still occurring. Otherwise this
should be marked as resolved.

#6 - 12/01/2014 03:19 AM - Squelch
- Status changed from Confirmed to Need More Info

- % Done changed from 10 to 0

#7 - 12/20/2014 07:50 PM - Newton715

I'm seeing this issue on Yosemite. KSP Opens in full screen, then it switches to windowed mode while loading. If you go back to full screen mode,
(cmd+F), the entire KSP game is stretched vertically.

#8 - 12/20/2014 07:58 PM - Newton715

| opened the graphics settings and clicked on the full screen enable button, restarted the game and | didn't have the issue with the game exiting into
windowed mode during startup. Using the full screen button or the keyboard shortcut doesn't seem to register in the game that this button should now
be enabled.

#9 - 07/17/2016 09:23 AM - TriggerAu

- Status changed from Need More Info to Needs Clarification

#10 - 08/07/2016 05:17 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For best
results, the wiki contains really useful info for when creating a report http://bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
